<!-- news listing area starts here -->
<div class="row news-outer">
  <p *ngIf="!newsList.length">No News Found</p>
  <div class="col-xl-3 col-lg-4 col-md-6 col-sm-6 col-xs-12" *ngFor="let news of newsList | slice:startsFrom:endsOn">
    <div class="news-inner-box">
      <div class="news-thumbnail">
        <div class="read-later" *ngIf="showreadlaterbtn" (click)="readLater(news)">Read Later</div>
        <div class="read-later red" *ngIf="showreadDeletebtn" (click)="deleteNews(news)">Remove</div>
        <img *ngIf="news.multimedia !== null" src="{{news.multimedia[2].url}}">
        <img *ngIf="news.multimedia == null" src="assets/images/placeholder.jpg">
      </div>
      <div class="news-text">
        <h6 style=""><a href="{{news.url}}" target="_blank" class="">{{news.title}}</a></h6>
        <p class="text-truncate11 d-block11">{{news.abstract}}</p>
      </div>
    </div>
  </div>
</div>
<!-- news listing area ends here -->
<!-- Active page number starts here -->
<div class="row">
  <div class="col-lg-12 col-md-10 ml-auto mr-auto" *ngIf="activePage !== 0">
    <span><strong>Current Active Page = </strong> {{activePage}}</span>
  </div>
</div>
<!-- Active page number ends here -->
<!-- Pagination area starts here -->
<div class="row">
  <div class="col-lg-12 col-md-10 ml-auto mr-auto">
    <div class="float-right">
      <!-- Custom pagination 
        totalRecords = total count of news under the selected section 
        recordsPerPage = maximum news to display on each page
        onPageChange = will trigger when clicks on the pagination nav
      -->
      <app-pagination *ngIf="newsList.length" [totalRecords]="newsList.length" [recordsPerPage]="recordsPerPage"
        (onPageChange)="displayActivePage($event)">
      </app-pagination>
    </div>
  </div>
</div>
<!-- Pagination area ends here -->

